<?php

class Dactilar_model extends Databases {

    protected $token = false;

    public function getDactilares($maxFecha) {

        if ($maxFecha != '') {
            $sql = "SELECT * FROM DACTILAR_VEN WHERE FECHA_HORA > '$maxFecha'";
        } else {
            $sql = "SELECT * FROM DACTILAR_VEN";
        }

        $data = parent::query($sql);
        if ($data && count($data) > 0) {
            foreach ($data as $k => $v) {
                $data[$k]['HUELLA'] = '0x' . bin2hex($v['HUELLA']);
                $data[$k]['FECHA_HORA'] = str_ireplace('-', '', $v['FECHA_HORA']);
            }
            return $data;
        } else {
            return FALSE;
        }
    }

    public function addDactilares($usuarios) {
        if (count($usuarios) > 0) {
            parent::init();
            foreach ($usuarios as $reg) {
                $COD_USUARIO = $reg['COD_USUARIO'];
                /* INHABILITO A LOS USUARIOS SI YA ESTABAN INSERTADOS */
                parent::query("UPDATE DACTILAR_VEN SET ACTIVO=0 WHERE COD_USUARIO=$COD_USUARIO");
            }
            foreach ($usuarios as $reg) {
                $COD_USUARIO = $reg['COD_USUARIO'];
                $HUELLA = $reg['HUELLA'];
                $FECHA_HORA = $reg['FECHA_HORA'];

                /* HABILITO A LOS NUEVOS USUARIOS USUARIOS */
                parent::query("INSERT INTO DACTILAR_VEN (COD_USUARIO, HUELLA, FECHA_HORA, C_HD, E_HD, ACTIVO) VALUES ('$COD_USUARIO', $HUELLA, '$FECHA_HORA', '', '', '1')");
            }
            parent::commit();
        }
    }

}

?>